##############################################################################
#
# defines according to our taste - values should be 0 (NO) or 1 (YES)
#
# LDAP	- include LDAP support
# PCRE	- include pcre support
# SASL	- include SASL/AUTH support
# Choose at most ONE of the following:
# MYSQL	      - include MySQL support - use www.mysql.com - MySQL* packages
# TLS  - include TLS support

%define distribution Unknown Distribution
%define LDAP 0
%define MYSQL 0
%define PCRE 0
%define SASL 0
%define TLS 1
%define REQUIRES_DB3 0
%define REQUIRES_INIT_D 0
%define SMTPD_MULTILINE_GREETING 0

%define branch snapshot
%define vers 20010709
%define patchlevel pl01
%define version1 %{vers}
%define version2 %{vers}
#Used when we have patchlevels, as can't include '-' in the package name
#define version1 %{vers}-%{patchlevel}
#define version2 %{vers}_%{patchlevel}
%define rel 2.0.5.TLStest

%define tlsno pfixtls-0.7.4-snap20010709-0.9.6b
%define pflogno -1.0.3

Name: postfix
Group: System Environment/Daemons
URL: http://www.postfix.org
Copyright: IBM Public License
PreReq: /sbin/chkconfig
# For EnGarde 2.0
Requires: procmail, WebTool >= 1.3-2.0.1
# Required by RedHat 7.x
%if %{REQUIRES_INIT_D}
PreReq: /etc/init.d
%endif
Provides: MTA smtpd smtpdaemon
Obsoletes: sendmail, exim, qmail, smail
Version: %{version2}%{branch}
Release: %{rel}
Packager: Simon J Mudd <sjmudd@pobox.com>
Summary: Postfix Mail Transport Agent
Vendor: Built on %{distribution}
Source0: ftp://ftp.porcupine.org/mirrors/postfix-release/experimental/%{branch}-%{version1}.tar.gz
Source1: postfix-new-RPMS
Source2: postfix-README_maildrop_security.txt
Source3: postfix-init_script.sh
Source4: postfix-cron.d
Source5: postfix-aliases
Source6: postfix-chroot-setup.awk
Source7: postfix.spec.in
Source8: make-postfix.spec
Source9: ftp://ftp.aet.tu-cottbus.de/pub/postfix_tls/%{tlsno}.tar.gz
Source10: http://jimsun.linxnet.com/downloads/pflogsumm%{pflogno}.pl
Source11: postfix-build
Source12: postfix-report.sh
Source13: postfix-transport
Source14: postfix-virtual
Source15: postfix-access

Patch1: postfix-20010709-config.2-gd.diff 
Patch2:  postfix-chroot_chk.patch
# required to install smtp-sink and smtp-source
Patch3:  postfix-INSTALL.sh.patch
Patch4: postfix-20010709-chroot-TLS-gd.diff
Patch6:  postfix-smtp_sasl_proto.c.patch
#
# Optional patches - set the appropriate environment variables to include
#                    them when building the package/spec file
#
# applied if %SMTPD_MULTILINE_GREETING=1
Patch99: postfix-smtpd_multiline_greeting.patch

BuildRoot: %{_tmppath}/%{name}-%{version1}-buildroot

# Determine the different packages required for building postfix
BuildRequires: gawk, perl, sed

%if %{REQUIRES_DB3}
Requires: db3
BuildRequires: db3, db3-devel
%endif

%if %{LDAP}
Requires: openldap >= 1.2.9
BuildRequires: openldap >= 1.2.9, openldap-devel >= 1.2.9
%endif

%if %{PCRE}
Requires: pcre
BuildRequires: pcre, pcre-devel
%endif

%if %{MYSQL}
Requires: MySQL-shared, zlib
BuildRequires: MySQL-shared, MySQL-devel, zlib-devel
%endif

%if %{SASL}
Requires: cyrus-sasl
BuildRequires: cyrus-sasl
%endif

%if %{TLS}
Requires: openssl
BuildRequires: openssl-devel
%endif

%description
Postfix is a Mail Transport Agent (MTA), intended to be an alternative
to the widely-used sendmail.  This is a reasonably sophisticated package
which includes optional support for LDAP, pcre, mysql, SMTP AUTH (SASL) and
TLS; it sets up chroot for added security; and it starts and stops the
daemon on install/remove.

The binary and source rpms I produce are currently stored on
	http://www.pobox.com/~sjmudd/postfix

This package/specfile was built from postfix.spec.in $Revision: 2.139 $,
with the following options:

SMTPD_MULTILINE_GREETING=0
LDAP=%{LDAP}		SASL=%{SASL}
PCRE=%{PCRE}		TLS=%{TLS}
MYSQL=%{MYSQL}		
REQUIRES_DB3 %{REQUIRES_DB3}	REQUIRES_INIT_D %{REQUIRES_INIT_D}

If you need to use postfix with alternative options you will need to
download the source package and rebuild the required binary package.
Information on how to do this is included with the source package.


%define config_directory /etc/postfix
%define config_sample_directory /etc/postfix/samples
%define daemon_directory /usr/libexec/postfix
%define command_directory /usr/sbin
%define queue_directory /var/spool/postfix
%define newaliases_path /usr/bin/newaliases

%define mailq_path /usr/bin/mailq
%define rmail_path /usr/bin/rmail
# Postfix requires a unique uid & gid for its exclusive use
# Redhat's 'mail' user & group isn't unique!
%define uid 89
%define gid 89

%define init_directory /etc/init.d
%define sendmail_path /usr/sbin/sendmail
%define cron_directory /etc/cron.d

%define whinge logger -p mail.info -t postfix/rpm
%define postfix_running %{daemon_directory}/master -t >/dev/null 2>&1; echo $?

%prep
umask 022

# stop build if something is wrong
die(){ %whinge "$*"; exit 1; }

CURRDIST=`rpm -qa | grep -- -release | egrep 'engarde'`
SPECDIST="Unknown Distribution"

if [ "${CURRDIST}" != "${SPECDIST}" ]; then
    cat <<ENDTEXT

			W A R N I N G
			=============

This package's spec file was built for a different distribution to the
version which you are using.  If the differences (shown below) are only
a difference in MINOR version number this should not be a problem.

Current Distribution:	${CURRDIST}
postfix.spec built for:	${SPECDIST}

If not it is advisable to rebuild the postfix.spec file as indicated below:

To rebuild the spec file (and thus avoid this warning) follow the following
steps:

	cd `rpm --eval '%{_sourcedir}'`
	sh make-postfix.spec	# to rebuild the spec file
	cd `rpm --eval '%{_specdir}'`
	rpm -ba postfix.spec	# to build postfix

If this procedure doesn't allow you to produce a working package, please
adivse me so I can take appropriate steps.

ENDTEXT
	sleep 5
else
	echo "postfix.spec seems ok"
fi


# warn before we start if we aren't root
if [ `id -u` != "0" ]; then
    cat <<-ENDTEXT
	ERROR: Your are not building postfix package as the superuser.
	ERROR: You MUST be the superuser to build the postfix package
	ERROR: as part of the package build process requires superuser privileges
	
	Please su - root and try again"
ENDTEXT
    exit 1
fi

%setup -q -n %{branch}-%{version1} -a 9

# Apply the TLS patch, must be at first, because the changes of master.cf
%if %{TLS}
patch -p1 <%{tlsno}/pfixtls.diff
%endif

# APPLY OBLIGATORY PATCHES
%patch1 -p1 -b .config
%patch2 -p1 -b .chk
%patch3 -p1 -b .install
%patch4 -p1 -b .chroot
%patch6 -p1 -b .auth

# APPLY OPTIONAL PATCHES

# Apply my SMTPD Multiline greeting patch
%if %{SMTPD_MULTILINE_GREETING}
%patch99 -p1 -b .multiline
%endif

# Move around the TLS docs
%if %{TLS}
mkdir html/TLS
mv %{tlsno}/doc/* html/TLS
for i in ACKNOWLEDGEMENTS CHANGES INSTALL README TODO; do
  mv %{tlsno}/$i $i.TLS
done
%endif

# setup master.cf to be chrooted
mv conf/master.cf conf/master.cf-nochroot
awk -f %{_sourcedir}/postfix-chroot-setup.awk < conf/master.cf-nochroot > conf/master.cf

# Copy README files allowing us to just go %doc below, and have rpm(1)
# automatically tuck it in alongside the READMEs and COPYRIGHTs.
cp %{_sourcedir}/postfix-new-RPMS postfix-new-RPMS
cp %{_sourcedir}/postfix-README_maildrop_security.txt postfix-README_maildrop_security.txt

# create postfix user and group on BUILD machine if necessary

# Add the postfix group if not found
grep -q ^postfix: /etc/group || {
    groupadd -g %{gid} -r postfix || die \
            'gid collision, aborting install' \
	    'either add "postfix" group or delete the group using GID %{gid}'
    %whinge "Adding postfix to /etc/group."
}

# Add the postfix user if not found
grep -q ^postfix: /etc/passwd || {
    grep -q "^.*:.*:%{uid}:" /etc/passwd && die \
          'uid collision, aborting install' \
          'either add "postfix" user or delete the user using UID %{uid}'
    %whinge "Adding postfix to /etc/passwd."
    useradd -d %{queue_directory} -s /bin/true -g postfix -M -r -u %{uid} postfix
}

%build
umask 022

CCARGS=
AUXLIBS=

%if %{LDAP}
  CCARGS="${CCARGS} -DHAS_LDAP"
  AUXLIBS="${AUXLIBS} -L/usr/lib -lldap -llber"  
%endif
%if %{PCRE}
  # -I option required for pcre 3.4 (and later?)
  CCARGS="${CCARGS} -DHAS_PCRE -I/usr/include/pcre"
  AUXLIBS="${AUXLIBS} -lpcre"
%endif
# Careful:
# - mysql (redhat) doesn't seem to need zlib support (postfix compiles
#   without it)
# - MySQL (www.mysql.com) does need zlib support to compile correctly
%if %{MYSQL}
  CCARGS="${CCARGS} -DHAS_MYSQL -I/usr/include/mysql"
  AUXLIBS="${AUXLIBS} -L/usr/lib/mysql -lmysqlclient -lz -lm"
%endif
%if %{SASL}
  CCARGS="${CCARGS} -DUSE_SASL_AUTH"
  AUXLIBS="${AUXLIBS} -lsasl"
%endif
%if %{TLS}
  CCARGS="${CCARGS} -DHAS_SSL -I/usr/include/openssl"
  AUXLIBS="${AUXLIBS} -lssl -lcrypto"
%endif

export CCARGS AUXLIBS
make -f Makefile.init makefiles

unset CCARGS AUXLIBS
make DEBUG="" OPT="$RPM_OPT_FLAGS"

%pre
umask 022

# stop install if something is wrong
die(){ %whinge "$*"; exit 1; }

# create postfix user and group on INSTALL machine if necessary

# Add the postfix group if not found
grep -q ^postfix: /etc/group || {
    groupadd -g %{gid} -r postfix || die \
            'gid collision, aborting install' \
	    'either add "postfix" group or delete the group using GID %{gid}'
    %whinge "Adding postfix to /etc/group."
}

# Add the postfix user if not found
grep -q ^postfix: /etc/passwd || {
    grep -q "^.*:.*:%{uid}:" /etc/passwd && die \
          'uid collision, aborting install' \
          'either add "postfix" user or delete the user using UID %{uid}'
    %whinge "Adding postfix to /etc/passwd."
    useradd -d %{queue_directory} -s /bin/true -g postfix -M -r -u %{uid} postfix
}


%install
umask 022

/bin/rm -rf %{buildroot}
/bin/mkdir -p %{buildroot}

strip -R .comment bin/* libexec/*

# now install postfix into buildroot

export install_root=%{buildroot} \
       config_directory=%{config_directory} \
       daemon_directory=%{daemon_directory} \
       command_directory=%{command_directory} \
       queue_directory=%{queue_directory} \
       sendmail_path=%{sendmail_path} \
       newaliases_path=%{newaliases_path} \
       mailq_path=%{mailq_path} \
       manpages=%{_mandir}
sh INSTALL.sh < /dev/null

# Change the default directory for alias_maps and alias_database
# to %{config_directory}
## bin/postconf -c %{buildroot}%{config_directory} -e \
	## "alias_maps = hash:%{config_directory}/aliases" \
	## "alias_database = hash:%{config_directory}/aliases" \
## || exit 1 

# This installs into the /etc/init.d directory
/bin/mkdir -p %{buildroot}%{init_directory}
install -c %{_sourcedir}/postfix-init_script.sh \
                  %{buildroot}%{init_directory}/postfix

# Copy the Linux chroot setup script to %{config_directory} so
# we can use it to build the chroot environment during the install
#
# NOTE: we remove the 'postfix reload' call from this script
sed '
s;postfix reload;#postfix reload # - do not reenable - used by rpm;
' examples/chroot-setup/LINUX2 \
    > %{buildroot}%{config_directory}/chroot-setup-LINUX2

chmod 0744 %{buildroot}%{config_directory}/chroot-setup-LINUX2

# This is the /etc/cron.daily directory
/bin/mkdir -p %{buildroot}%{cron_directory}

# This file is named 1postfix to ensure it is run _before_ logrotate
install -c %{_sourcedir}/postfix-cron.d %{buildroot}%{cron_directory}/postfix

# install pflogsumm.pl used by cron daily into %{command_directory}
#
install -c -m u=rx,go= %{_sourcedir}/pflogsumm%{pflogno}.pl %{buildroot}%{command_directory}/pflogsumm.pl

install -c auxiliary/rmail/rmail %{buildroot}%{rmail_path}

# This is the /etc/postfix/sample directory
/bin/mkdir -p ${RPM_BUILD_ROOT}%{config_sample_directory}
install -c -m644 conf/*.cf ${RPM_BUILD_ROOT}%{config_sample_directory}

#
# copy new aliases files and generate a ghost aliases.db file
#
cp -f %{_sourcedir}/postfix-aliases %{buildroot}%{config_directory}/aliases
cp -f %{_sourcedir}/postfix-transport %{buildroot}%{config_directory}/transport
cp -f %{_sourcedir}/postfix-virtual %{buildroot}%{config_directory}/virtual
cp -f %{_sourcedir}/postfix-access %{buildroot}%{config_directory}/access
chmod 644 %{buildroot}%{config_directory}/aliases
chmod 644 %{buildroot}%{config_directory}/transport
chmod 644 %{buildroot}%{config_directory}/virtual
chmod 644 %{buildroot}%{config_directory}/access

cp -f  %{_sourcedir}/postfix-report.sh %{buildroot}%{config_directory}/

touch %{buildroot}/%{config_directory}/aliases.db
touch %{buildroot}/%{config_directory}/transport.db
touch %{buildroot}/%{config_directory}/virtual.db
touch %{buildroot}/%{config_directory}/access.db


##############################################################################
# The post script executes after the package has been installed.  Here
# we put things that invoke files we just installed, and populate the
# directories we've created with local-dependent files.
%post
umask 022

ldap_chroot_setup() {
    for i in usr/lib/libldap.so.1 usr/lib/liblber.so.1; do
        if [ -e /$i ]; then
            cmp -s /$i %{queue_directory}/$i 2>/dev/null || \
                install -c /$i %{queue_directory}/$i
        fi
    done
}

/sbin/chkconfig --add postfix

# setup missing directory structures, but hide the warning message
%{command_directory}/postfix check 2>/dev/null

# this is the correct place to build the aliases.db file
%{command_directory}/postalias %{config_directory}/aliases
%{command_directory}/postmap hash:%{config_directory}/transport
%{command_directory}/postmap hash:%{config_directory}/virtual
%{command_directory}/postmap hash:%{config_directory}/access

# setup chroot structure - basic structure
# - do not fail if the script fails
%{config_directory}/chroot-setup-LINUX2 || true

# setup chroot structure - when using LDAP
# Note: not entirely sure this is ok: missing .so and .so.1.0.0
%if %{LDAP}
    ldap_chroot_setup
%endif

%preun
umask 022

stop_postfix () {
    echo "Stopping the Postfix mail system"
    if [ -f %{queue_directory}/pid/master.pid ]; then
        kill `sed 1q %{queue_directory}/pid/master.pid` >/dev/null 2>&1 || true
    else
        echo "BUG: postfix.spec (preun) - please inform packager"
    fi
}

ldap_chroot_remove () {
    for i in usr/lib/libldap.so.1 usr/lib/liblber.so.1; do
        test -f %{queue_directory}/$i && \
            /bin/rm -f %{queue_directory}/$i
    done
}

# remove chroot jail when uninstalling the package
# WE MUST BE IN /var/spool/postfix before calling this routine

chroot_remove () {
    for i in etc/localtime usr/lib/zoneinfo/localtime \
            etc/host.conf etc/resolv.conf etc/nsswitch.conf \
	    etc/hosts etc/passwd etc/services \
	    lib/libnss_* lib/libresolv* lib/libdb*; do
        test -f $i && /bin/rm -f $i
    done

    for dir in usr/lib/zoneinfo usr/lib usr lib etc; do
        test -d $dir && /bin/rmdir $dir || \
	    echo "WARNING: preun - unable to remove directory %{queue_directory}/$dir"
    done
}

# selectively remove the rest of the queue directory structure
# first remove the "queues" (and assume the hash depth is still 2)
queue_directory_remove () {
    for dir in incoming active bounce defer flush; do
        for a in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do
   	    test -d $dir/$a && {
	        for b in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do
		    test -d $dir/$a/$b && (
		        /bin/rm -f $dir/$a/$b/*
		        /bin/rmdir $dir/$a/$b
		    )
		done
		/bin/rmdir $dir/$a || echo "WARNING: preun - unable to remove directory %{queue_directory}/$dir/$a"
	    }
        done
	/bin/rmdir $dir || echo "WARNING: preun - unable to remove directory %{queue_directory}/$dir"
    done

    # now remove the other directories
    for dir in corrupt deferred pid private public saved; do
        test -d $dir && {
            /bin/rm -f $dir/*
            /bin/rmdir $dir || echo "WARNING: preun - unable to remove directory %{queue_directory}/$dir"
        }
    done
}

if [ "$1" = 0 ]; then
    # stop postfix silently, but only if it's running
    if [ `%{postfix_running}` -eq 1 ]; then
        stop_postfix
    else
        true
    fi

    /sbin/chkconfig --del postfix                    

    # userdel also deletes the user's group
    userdel postfix || : %whinge "WARNING: failed to remove user postfix"

    # safety check
    test "%{queue_directory}" = "" && echo "WARNING: chroot removal buggy - check .spec file" && exit 0

    cd %{queue_directory} && {
%if %{LDAP}
        ldap_chroot_remove
%endif
        chroot_remove
        queue_directory_remove
    }
    true # to ensure we exit safely
fi

%postun
umask 022

restart_postfix () {
    echo "Stopping   the Postfix mail system"
    if [ -f %{queue_directory}/pid/master.pid ]; then
        kill `sed 1q %{queue_directory}/pid/master.pid` >/dev/null 2>&1 || true
    else
        echo "BUG: postfix.spec (postun) - please inform packager"
    fi
    sleep 2 # to give things time to stop
    %{daemon_directory}/master &
    echo "Restarting the Postfix mail system"
}

if [ "$1" != 0 ]; then
    # restart postfix, but only if it was running
    if [ `%{postfix_running}` -eq 1 ]; then
        restart_postfix
    else
        true
    fi
fi

%clean
/bin/rm -rf %{buildroot}


%files
%defattr(-, root, root)
%verify(not md5 size mtime) %config %dir %{config_directory}
%attr(0755, root, root) %config %{config_directory}/postfix-script
%attr(0644, root, root) %config %{config_directory}/postfix-report.sh
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_directory}/main.cf
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_directory}/master.cf
%attr(0644, root, root) %verify(not md5 size mtime) %config %{config_directory}/install.cf
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_directory}/aliases
%attr(0644, root, root) %verify(not md5 size mtime) %ghost             %{config_directory}/aliases.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_directory}/transport
%attr(0644, root, root) %verify(not md5 size mtime) %ghost             %{config_directory}/transport.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_directory}/virtual
%attr(0644, root, root) %verify(not md5 size mtime) %ghost             %{config_directory}/virtual.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_directory}/access
%attr(0644, root, root) %verify(not md5 size mtime) %ghost             %{config_directory}/access.db
%attr(0644, root, root) %verify(not md5 size mtime) %{config_sample_directory}/*

%attr(0755, root, root) %config %{init_directory}/postfix
%attr(-, postfix, root) %verify(not md5 size mtime) %{queue_directory}
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{cron_directory}/postfix

%doc 0README
%doc COMPATIBILITY
%doc DB_README
%doc DEBUG_README
%doc ETRN_README
%doc FILTER_README
%doc HISTORY
%doc INSTALL
%doc INSTALL.sh
%doc LDAP_README
%doc LICENSE
%doc LINUX_README
%doc LMTP_README
%doc MACOSX_README
%doc MYSQL_README
%doc PCRE_README
%doc PORTING
%doc RELEASE_NOTES
%doc RESTRICTION_CLASS
%doc SASL_README 
%doc TODO
%doc ULTRIX_README
%doc UUCP_README

%doc postfix-README_maildrop_security.txt
%doc postfix-new-RPMS

%if %{TLS}
%doc ACKNOWLEDGEMENTS.TLS
%doc CHANGES.TLS
%doc README.TLS
%doc TODO.TLS
%doc html/TLS/*
%endif

%doc conf
%doc html

%attr(0744, root, root) %config %{config_directory}/chroot-setup-LINUX2

%{daemon_directory}/bounce
%{daemon_directory}/cleanup
%{daemon_directory}/error
%{daemon_directory}/flush
%{daemon_directory}/lmtp
%{daemon_directory}/local
%{daemon_directory}/master
%{daemon_directory}/nqmgr
%{daemon_directory}/pickup
%{daemon_directory}/pipe
%{daemon_directory}/qmgr
%{daemon_directory}/showq
%{daemon_directory}/smtp
%{daemon_directory}/smtpd
%{daemon_directory}/spawn
%{daemon_directory}/trivial-rewrite
%{daemon_directory}/virtual

%if %{TLS}
%{daemon_directory}/tlsmgr
%endif

%{command_directory}/postalias
%{command_directory}/postcat
%{command_directory}/postconf
%{command_directory}/postdrop
%{command_directory}/postfix
%{command_directory}/postkick
%{command_directory}/postlock
%{command_directory}/postlog
%{command_directory}/postmap
%{command_directory}/postsuper

%{command_directory}/smtp-sink
%{command_directory}/smtp-source

%{command_directory}/pflogsumm.pl

%{sendmail_path}
%{mailq_path}
%{newaliases_path}
%attr(0755, root, root) %{rmail_path}

%{_mandir}/*/*

##############################################################################
# List of changes made to this package.
#
# Although old entries from the changelog have been removed most of them
# are available from my CVS repository of changes made to this file.
#

%changelog
* Wed Jul 25 2001 Pete O'Hara <pete@guardiandigital.com>
- Version snapshot-20010709, Release 2.0.5
  - added a commented pflogumm.pl report in cron.daily/1postfix
	for WebTool to turn on/off

* Wed Jul 18 2001 Pete O'Hara <pete@guardiandigital.com>
- Version snapshot-20010709, Release 2.0.4
  - turning off smtpd as default so that postfix will
	will only send mail
  - this will now require WebTool > 1.3-2.0.0

* Tue Jul 17 2001 Pete O'Hara <pete@guardiandigital.com>
- Version snapshot-20010709, Release 2.0.3
  - added "alias_database" param in main.cf
  - in aliases file "root: postfix" -> "postfix: root"

* Thu Jul 12 2001 Pete O'Hara <pete@guardiandigital.com>
- Version snapshot-20010709, Release 2.0.2
  - upgrade to snapshot-20010709
  - modified spec file for EnGarde 
  - added procmail install requirement

* Sun Jul 08 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010709-1, update to latest snapshot, and remove smtp_addr.c patch

* Sun Jul 08 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010610-3, apply Wietse's smtp_addr.c.patch

* Mon Jun 11 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010610-2, minor changes to keep in line with release spec file

* Mon Jun 11 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010610-1, update to latest snapshot version

* Fri Jun 08 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010525-5, changes in macro usage to try and ensure there are no
  redhat specific instructions or directories mentioned.  This should help
  portability across different rpm distributions.

* Wed May 30 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010525-4, remove a couple of files
  - add postfix-new-RPMS
  - include -I/usr/include/pcre as required with some versions of pcre-devel

* Wed May 30 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010525-3, update TLS patch to 0.7.3a

* Mon May 26 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010525-2, incorporate Wietse's sasl auth patch and make
  adjustments to get it working

* Mon May 26 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010525-1, incorporate Wietse's sasl auth patch, but don't
  enable as it doesn't seem to work
- update to snapshot 20010525

* Mon May 25 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010502-6, update pflogsumm.pl to 1.0.3

* Mon May 07 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010502-4, general tidyup of make-postfix.spec
  - also add check if built from source on a different version of linux to
    the one the spec file was originally created for.
  - add postfix-build to ./SOURCES directory to simplify building.

* Mon May 07 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010502-3
  - configuration changes, used with make-postfix.spec
  - remove changelog entries before 01-01-2001
  - modifications to improve support with MySQL-3.23.36-1 
  - add warning if rebuilding and haven't updated spec file from .spec.in
    in ./SOURCES

* Mon May 07 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010502-2, add smptd_check.c.patch from Wietse

* Fri May 04 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010502-1, change /etc/cron.daily/postfix and add support 
  for pflogsumm.pl
- update TLS patch
- remove temporary smtpd.c.patch

* Fri Apr 06 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010329-3, minor changes
  - remove TLS files from my cvs tree
  - add %{branch} macro to fall in line with release spec file
  - change rpm -qi information

* Fri Apr 06 2001 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20010329-2
- disable TLS support as the given patch doesn't work
- change naming to add snapshot suffix.
	Thus this package will be
	- postfix-20010329snaphot-2

* Tue Apr 03 2001 Simon Mudd <sjmudd@pobox.com>
- update to snapshot-20010329
- remove flush, and cleanup patches

* Tue Apr 03 2001 Simon Mudd <sjmudd@pobox.com>
- adjust the TLS patch, the previous patch version I had applied was incorrect.
  (Peter Tuschy <peter@tuschy.com>)

* Fri Mar 30 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010228-5, add patches
	- flush.c
	- cleanup.c
- added support for TLS, information and patches to spec file
  provided by Peter Tuschy <peter@tuschy.com>.

* Sat Mar 24 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010228-4, add %{daemon_directory}/virtual, virtual transport
  to %files list.  Pointed out to me by Daniel Buchmann <db@bibsys.no>.

* Fri Mar 23 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010228-3, remove the support in the startup script for
  multilanguage descriptions.  This doesn't work on RH6 boxes.

* Tue Mar 07 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010228-2,  update to use postfix-filelist (in my CVS tree)
  include BuildRequires tag
  add die() to %prep, as it was missing, Ramiro Morales <rmrpms@usa.net>

* Wed Mar 01 2001 Simon Mudd <sjmudd@pobox.com>
- remove POSTFIX_SAFE_MYNETWORKS from make-postfix.spec
- snapshot-20010228-1,  update to latest snapshot
- include hashed incoming directory in chroot_remove

* Mon Feb 26 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010225-1,  update to latest snapshot
- remove references to POSTFIX_SAFE_MYNETWORKS optional patch as no longer
  required.

* Tue Feb 20 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010222-1,  update to latest snapshot
                        further minor changes to /etc/rc.d/init.d/postfix

* Tue Feb 20 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010204-4,  minor changes
  - fix spelling mistake in changelog, droesen's name
  - change -f check to -x in /etc/rc.d/init.d/postfix and
                             /etc/cron.daily/postfix
  - change /etc/rc.d/init.d/postfix to correctly show the [OK]
    and [FAILED] tags on startup.  I think this is correct, but the
    RedHat documentation is lacking here.

* Wed Feb 07 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010204-3, avoid the /var/spool/postfix/maildrop - directory
  not empty error message.

* Wed Feb 07 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010204-2, various changes - suggestions from Ben Cross
  - uninstall is not quite right.
  - spec file had a few rpmlint problems
  - one minor thing I can't find.  uninstalling gives a message
	/var/spool/postfix/maildrop - directory not empty - why????
	/etc/postfix not removed, but not too worried about this.

* Mon Feb 05 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010204-1, upgrade to latest snapshot
- fix problem when upgrading with postfix stopped
  (due to chroot-setup-LINUX2 having a call to postfix reload)

* Sun Feb 04 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010128-2, fix mysql build which had an error

* Mon Jan 30 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20010128-1, update for latest snapshot

* Fri Jan 26 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20001217-13, Mysql support was incorrect - fixed
  Ramiro Morales <rmrpms@usa.net>

* Fri Jan 26 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20001217-12, include missing DB_README
- include support for both mysql (RedHat MySQL packages) and
  MySQL (www.mysql.com MySQL packages) as they use different
  names.  Introduction of new define REDHATMYSQL for the first
  case.  Suggestions by Ramiro Morales <rmrpms@usa.net>
- fix make-postfix.spec (missing -z checks) <ilmis@compart.fi>
- add Conflicts: for exim and qmail

* Sun Jan 21 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20001217-11, following suggestion by Daniel Roesen
  remove newaliases when calling /etc/init.d/postfix start
- modify /etc/init.d/postfix to follow the newer rh7 style
- include fallback_relay patch (Wietse)
- update Daniel Roesen's broken auth patch

* Fri Jan 19 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20001217-10, include LDAP chroot jail support

* Fri Jan 12 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20001217-9, change description making it briefer and including
  URL to Bennett Todd's packages.
- Reduce dependency on postfix.spec.in, by using %if declarations

* Thu Jan 04 2001 Simon Mudd <sjmudd@pobox.com>
- snapshot-20001217-8, minor touches to build procedure

